org.keycloak.services.clientpolicy.executor

## Class SecureRequestObjectExecutor

- java.lang.Object
- - org.keycloak.services.clientpolicy.executor.SecureRequestObjectExecutor

- All Implemented Interfaces:
    Provider, ClientPolicyExecutorProvider<SecureRequestObjectExecutor.Configuration>

      public class SecureRequestObjectExecutor
      extends Object
      implements ClientPolicyExecutorProvider<SecureRequestObjectExecutor.Configuration>

  Author:
    Takashi Norimatsu

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SecureRequestObjectExecutor.Configuration`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Integer` | `DEFAULT_AVAILABLE_PERIOD`
    `static String` | `INVALID_REQUEST_OBJECT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecureRequestObjectExecutor(KeycloakSession session)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `executeOnEvent(ClientPolicyContext context)` execute actions against the client on the event defined in `ClientPolicyEvent`.
    `Class<SecureRequestObjectExecutor.Configuration>` | `getExecutorConfigurationClass()`
    `String` | `getProviderId()`
    `void` | `setupConfiguration(SecureRequestObjectExecutor.Configuration config)` setup this executor's configuration.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.services.clientpolicy.executor.ClientPolicyExecutorProvider

      `close, getName`

- - ### Field Detail

    - #### INVALID_REQUEST_OBJECT

          public static final String INVALID_REQUEST_OBJECT

      See Also:
        Constant Field Values

    - #### DEFAULT_AVAILABLE_PERIOD

          public static final Integer DEFAULT_AVAILABLE_PERIOD

  - ### Constructor Detail

    - #### SecureRequestObjectExecutor

          public SecureRequestObjectExecutor(KeycloakSession session)

  - ### Method Detail

    - #### setupConfiguration

          public void setupConfiguration(SecureRequestObjectExecutor.Configuration config)

      Description copied from interface: `ClientPolicyExecutorProvider`
      setup this executor's configuration.
      Specified by:
        `setupConfiguration` in interface `ClientPolicyExecutorProvider<SecureRequestObjectExecutor.Configuration>`

    - #### getExecutorConfigurationClass

          public Class<SecureRequestObjectExecutor.Configuration> getExecutorConfigurationClass()

      Specified by:
        `getExecutorConfigurationClass` in interface `ClientPolicyExecutorProvider<SecureRequestObjectExecutor.Configuration>`
      Returns:
        Class, which should match the "config" argument of the `ClientPolicyExecutorProvider.setupConfiguration(ClientPolicyExecutorConfiguration)`

    - #### getProviderId

          public String getProviderId()

      Specified by:
        `getProviderId` in interface `ClientPolicyExecutorProvider<SecureRequestObjectExecutor.Configuration>`

    - #### executeOnEvent

          public void executeOnEvent(ClientPolicyContext context)
                              throws ClientPolicyException

      Description copied from interface: `ClientPolicyExecutorProvider`
      execute actions against the client on the event defined in `ClientPolicyEvent`.
      Specified by:
        `executeOnEvent` in interface `ClientPolicyExecutorProvider<SecureRequestObjectExecutor.Configuration>`
      Parameters:
        `context` - - the context of the event.
      Throws:
        `ClientPolicyException`

Copyright © 2021 JBoss by Red Hat. All rights reserved.